LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Slackware (http://www.linuxquestions.org/questions/slackware-14/)
-   -   TrueCrypt 5.1a Not enough data available or broken pipe error (http://www.linuxquestions.org/questions/slackware-14/truecrypt-5-1a-not-enough-data-available-or-broken-pipe-error-697664/)

yasker 01-16-2009 01:23 AM

TrueCrypt 5.1a Not enough data available or broken pipe error
 
Greetings to all,

I downloaded the TrueCrypt 5.1a slackbuild from:
~alien/slackbuilds/ and installed it in Slackware 12.2.

It works great! :) Thanks Alien BOB.

However I have some files encrypted with TrueCrypt Ver. 6.0a in Windows vista and tried to mount them with the TrueCypt 5.1a from the Slackbuild and it didn't work.

when trying to mount the files for the first time TrueCrypt shows the following error :
Not enough data available

If I try it again then it shows the following error:
broken pipe

Is it a problem with the versions of TrueCrypt or is just that I need to do something more in order to mount the files encrypted in Vista with the newer version of TrueCrypt?

Thanks in advance.
Have a nice time.

titopoquito 01-16-2009 06:41 PM

I don't know what the problem is. Just in case you don't know it, there is a slackbuild for 6.1a (and a package) at slacky.eu: http://repository.slacky.eu/slackwar...ruecrypt/6.1a/ - to check if it's version dependent or not.

yasker 01-17-2009 12:52 AM

Quote:

Originally Posted by titopoquito (Post 3411501)
I don't know what the problem is. Just in case you don't know it, there is a slackbuild for 6.1a (and a package) at slacky.eu: http://repository.slacky.eu/slackwar...ruecrypt/6.1a/ - to check if it's version dependent or not.

Thanks titopoquito.

I actually didn't know about it.

I'll download and try it.

Thanks again titopoquito.

yasker 01-17-2009 12:39 PM

Hello everybody, again.

I have installed the TrueCrypt 6.1a pkg from:

http://repository.slacky.eu/slackwar...ruecrypt/6.1a/


But if I try to start truecrypt I only get this message:

truecrypt: error while loading shared libraries: libwx_gtk2u_adv-2.8.so.0:
cannot open shared object file: No such file or directory

Then I installed all the libraries with gtk in the name from:
http://repository.slacky.eu/slackware-12.2/libraries/

gtkmm-2.12.7-i486-2as.tgz
gtk-sharp-2.12.6-i686-1as.tgz
gtksourceview2-2.4.1-i486-1as.tgz
gtksourceview-1.8.5-i486-2as.tgz
gtk-engines-2.16.1-i486-1as.tgz
gtk+extra-2.1.1-i486-3sl.tgz

I get the same error still.

What can I do?

This is the first time I have a problem with a package so I don't know what to do.

Need some help, please.

titopoquito 01-17-2009 12:51 PM

You can grab the slackbuild, uncomment the lines for the static wx build and build it from source. Else you need wxGTK.

To be more clear: Download all files from http://repository.slacky.eu/slackwar...rypt/6.1a/src/ then edit the truecrypt.SlackBuild file. There are some lines commmented out about wxGTK, they are easy to find. Then run the truecrypt.SlackBuild script from command line to build the package.

yasker 01-17-2009 01:23 PM

Thanks again titopoquito.

I'll do that.


All times are GMT -5. The time now is 11:20 AM.